<?php

namespace frontend\models;

use Yii;

/**
 * This is the model class for table "option_lang".
 *
 * @property integer $id
 * @property integer $language_id
 * @property string $value
 */
class OptionLang extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'option_lang';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['option_id', 'language_id'], 'required'],
            [['option_id', 'language_id'], 'integer'],
            [['value'], 'string']
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'option_id' => Yii::t('app', 'ID'),
            'language_id' => Yii::t('app', 'Lang ID'),
            'value' => Yii::t('app', 'Value'),
        ];
    }
}
